# -spm (Require path separator mark for directory path) switch

#### Syntax

    -spm[- | 2]

Switch | Description
--- | ---
-spm | allow directories only with path separator mark at the end.
-spm2 | allow directories with path separator mark and directories for non-wildcard paths.
-spm- | allow directories for any path. This option is default.

-spm enables the mode that requires path separator mark at the end of path for directory items. So this switch allows to exclude directories from processing, if path separator mark is not specified for path. The path separator mark is backslash (\) in Windows or slash (/) in Linux.

#### Examples

    7z a a.7z -spm n*

stores all n* files but doesn't process any directory.

    7z a a.7z -spm n* SomeDir*\

stores all n* files and SomeDir* directories, but doesn't process another directories.

    7z a a.7z -spm2 n* SomeItem

stores all n* files and SomeItem file or directory, but doesn't process another directories.

#### Commands that can be used with this switch

a (Add), d (Delete), e (Extract), h (Hash), l (List), rn (Rename), t (Test), u (Update), x (Extract with full paths)